﻿using System;
using System.IO;
using System.Web;

namespace MvcApplication1.Code
{
    public class Logger
    {
        private readonly string _logFile;

        public Logger(string filename)
        {
            _logFile = filename;
        }

        public void AddLine(string line)
        {
            AddLogData(line, null);
        }

        public void AddLine(string line, Exception ex)
        {
            AddLogData(line, ex);
        }

        private void AddLogData(string line, Exception ex)
        {
            string data = DateTime.Now + "\t" + line;
            if (ex != null)
            {
                data += "\t" + ex;
            }
            File.AppendAllText(_logFile, data + "\n");
        }
    }
}