﻿// Global map variable
var map;

// Main entry point...runs on document ready
$(document).ready(function () {
    // Create and load the initial map
    map = $("#map_canvas").gmap3(
            {
                lat: 43.0566,
                lng: -89.4511,
                zoom: 2
            });
    map.setTypeRoadMap();

    // Begin the header animation
    animateTruck1();
    animateTruck2();
});

// AJAX fetch the last 50 GPS points
function getHistory(id) {
    var url = 'Home/History';
    $.getJSON(url, { truckId: id, count: 50 }, function (data) {
        map.addPath(data);
    });
}

// AJAX fetch the truck info
function getLocation(id) {
    var url = 'Home/Position';
    $.getJSON(url, { truckId: id, count: 50 }, function (data) {
        map.setCenter(data.lat, data.lng);
        map.setZoom(6);
        // we have the lat/lng...geocode to get address
        $.fn.gmap3.geoCodeLatLng(data.lat, data.lng, function (address) {
            var latlng = data.lat + ", " + data.lng;
            map.addMarkerByLatLng(data.lat, data.lng, data.name, createInfo(data.name, data.plate, data.type, data.driver, latlng, address));
        });

    });
}

// Helper to create the map info bubble
function createInfo(title, plate, type, driver, latlng, location) {
    return '<div class="popup"><h1 class="popup-title">' + title + '</h1><div id="popup-body"><p><span class="popup-label">plate:</span> ' + plate + '</p><p><span class="popup-label">type:</span> ' + type + '</p><p><span class="popup-label">driver:</span> ' + driver + '</p><p><span class="popup-label">lat/lng:</span> ' + latlng + '</p><p><span class="popup-label">location:</span> ' + location + '</p></div></div>';
}

// List object click handler
function showTruck(id) {
    map.clear();
    getLocation(id);
    getHistory(id);
    $(".selected").removeClass("selected");
    $("#truck-" + id).addClass("selected");
}

// Header animations
function animateTruck1() {
    $("#truck1").animate({ 'left': '-100px' }, 50000, 'linear', function () {
        $(this).css('left', '3000px');
        animateTruck1();
    });
}
function animateTruck2() {
    $("#truck2").animate({ 'left': '3000px' }, 55000, 'linear', function () {
        $(this).css('left', '-100px');
        animateTruck2();
    });
}