﻿using System.Reflection;
using System.Web.Mvc;
using Ninject;
using Ninject.Web.Mvc;

namespace MvcApplication1.NinjectFramework
{
	public class NinjectWebsiteApplication : NinjectHttpApplication
	{
		protected override void OnApplicationStarted()
		{
			AreaRegistration.RegisterAllAreas();

			RegisterAllControllersIn(Assembly.GetExecutingAssembly());

			var bootstrapper = Kernel.Get<Bootstrapper>();

			bootstrapper.RegisterRoutes();

		}

		protected override IKernel CreateKernel()
		{
            var kernel = new StandardKernel();

			kernel.Load<RepositoryModule>();

			return kernel;
		}
	}
}